package com.tykj.dev.device.allot.service;

import com.tykj.dev.device.allot.subject.domin.AllotBackBill;
import com.tykj.dev.device.allot.subject.vo.AllotBillSelectVo;
import com.tykj.dev.device.file.entity.FileRet;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

/**
 * @author dengdiyi
 */
public interface AllotBackBillService {

    AllotBackBill addEntity(AllotBackBill allotBackBill);

    /**
     * @param allotBackBills 异步上链
     */
    void sendHash(List<AllotBackBill> allotBackBills);

    AllotBackBill update(AllotBackBill allotBackBill);

    AllotBackBill getOne(Integer id);

    Page<AllotBackBill> getPage(AllotBillSelectVo allotBillSelectVo, Pageable pageable);

    /**
     * 根据id删除  zsp
     */
    void deleteByAllotBackId(Integer id);

    /**
     * 根据任务id查询单据
     * @param taskId
     * @return
     */
    Map<String,List<FileRet>> getFileList(Integer taskId);
}
